org.openstreetmap.josm.plugins.streetside.utils

## Class StreetsideProperties

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.utils.StreetsideProperties

-     public final class StreetsideProperties
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringProperty` | `ACCESS_TOKEN`
    `static NamedColorProperty` | `BACKGROUND` See `OsmDataLayer#PROPERTY_BACKGROUND_COLOR`
    `static BooleanProperty` | `CUBEMAP_LINK_TO_BLUR_EDITOR`
    `static BooleanProperty` | `CUT_OFF_SEQUENCES_AT_BOUNDS` If false, all sequences that cross the download bounds are put completely into the StreetsideData object.
    `static BooleanProperty` | `DELETE_AFTER_UPLOAD`
    `static BooleanProperty` | `DEVELOPER`
    `static BooleanProperty` | `DISPLAY_HOUR`
    `static StringProperty` | `DOWNLOAD_MODE`
    `static BooleanProperty` | `HOVER_ENABLED`
    `static BooleanProperty` | `IMAGE_LINK_TO_BLUR_EDITOR`
    `static IntegerProperty` | `IMAGEINFO_HELP_COUNTDOWN` The number of times the help popup for the `ImageInfoPanel` will be displayed.
    `static IntegerProperty` | `MAPOBJECT_ICON_SIZE`
    `static DoubleProperty` | `MAX_DOWNLOAD_AREA`
    `static IntegerProperty` | `MAX_MAPOBJECTS`
    `static BooleanProperty` | `MOVE_TO_IMG`
    `static NamedColorProperty` | `OUTSIDE_DOWNLOADED_AREA` See `OsmDataLayer#PROPERTY_OUTSIDE_COLOR`
    `static IntegerProperty` | `PICTURE_DRAG_BUTTON`
    `static IntegerProperty` | `PICTURE_OPTION_BUTTON`
    `static IntegerProperty` | `PICTURE_ZOOM_BUTTON`
    `static IntegerProperty` | `PRE_FETCH_CUBEMAP_COUNT` The number of images to be prefetched when a streetside image is selected
    `static IntegerProperty` | `PRE_FETCH_IMAGE_COUNT` The number of images to be prefetched when a streetside image is selected
    `static BooleanProperty` | `PREDOWNLOAD_CUBEMAPS`
    `static IntegerProperty` | `SEQUENCE_MAX_JUMP_DISTANCE`
    `static BooleanProperty` | `SHOW_DETECTED_SIGNS`
    `static BooleanProperty` | `SHOW_HIGH_RES_STREETSIDE_IMAGERY`
    `static StringProperty` | `START_DIR`
    `static IntegerProperty` | `STREETSIDE_VIEWER_HELP_COUNTDOWN` The number of times the help popup for the `StreetsideViewerPanel` will be displayed.
    `static IntegerProperty` | `TILE_DOWNLOAD_THREAD_PAUSE_LEN_SEC`
    `static BooleanProperty` | `TIME_FORMAT_24`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `StreetsideProperties()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETE_AFTER_UPLOAD

          public static final BooleanProperty DELETE_AFTER_UPLOAD

    - #### DEVELOPER

          public static final BooleanProperty DEVELOPER

    - #### DISPLAY_HOUR

          public static final BooleanProperty DISPLAY_HOUR

    - #### HOVER_ENABLED

          public static final BooleanProperty HOVER_ENABLED

    - #### MOVE_TO_IMG

          public static final BooleanProperty MOVE_TO_IMG

    - #### TIME_FORMAT_24

          public static final BooleanProperty TIME_FORMAT_24

    - #### IMAGE_LINK_TO_BLUR_EDITOR

          public static final BooleanProperty IMAGE_LINK_TO_BLUR_EDITOR

    - #### CUBEMAP_LINK_TO_BLUR_EDITOR

          public static final BooleanProperty CUBEMAP_LINK_TO_BLUR_EDITOR

    - #### TILE_DOWNLOAD_THREAD_PAUSE_LEN_SEC

          public static final IntegerProperty TILE_DOWNLOAD_THREAD_PAUSE_LEN_SEC

    - #### PREDOWNLOAD_CUBEMAPS

          public static final BooleanProperty PREDOWNLOAD_CUBEMAPS

    - #### CUT_OFF_SEQUENCES_AT_BOUNDS

          public static final BooleanProperty CUT_OFF_SEQUENCES_AT_BOUNDS

      If false, all sequences that cross the download bounds are put completely into the StreetsideData object. Otherwise only all images (!) inside the download bounds are added, the others are discarded.

    - #### MAPOBJECT_ICON_SIZE

          public static final IntegerProperty MAPOBJECT_ICON_SIZE

    - #### MAX_MAPOBJECTS

          public static final IntegerProperty MAX_MAPOBJECTS

    - #### SHOW_DETECTED_SIGNS

          public static final BooleanProperty SHOW_DETECTED_SIGNS

    - #### SHOW_HIGH_RES_STREETSIDE_IMAGERY

          public static final BooleanProperty SHOW_HIGH_RES_STREETSIDE_IMAGERY

    - #### BACKGROUND

          public static final NamedColorProperty BACKGROUND

      See `OsmDataLayer#PROPERTY_BACKGROUND_COLOR`

    - #### OUTSIDE_DOWNLOADED_AREA

          public static final NamedColorProperty OUTSIDE_DOWNLOADED_AREA

      See `OsmDataLayer#PROPERTY_OUTSIDE_COLOR`

    - #### MAX_DOWNLOAD_AREA

          public static final DoubleProperty MAX_DOWNLOAD_AREA

    - #### PICTURE_DRAG_BUTTON

          public static final IntegerProperty PICTURE_DRAG_BUTTON

    - #### PICTURE_OPTION_BUTTON

          public static final IntegerProperty PICTURE_OPTION_BUTTON

    - #### PICTURE_ZOOM_BUTTON

          public static final IntegerProperty PICTURE_ZOOM_BUTTON

    - #### SEQUENCE_MAX_JUMP_DISTANCE

          public static final IntegerProperty SEQUENCE_MAX_JUMP_DISTANCE

    - #### ACCESS_TOKEN

          public static final StringProperty ACCESS_TOKEN

    - #### DOWNLOAD_MODE

          public static final StringProperty DOWNLOAD_MODE

    - #### START_DIR

          public static final StringProperty START_DIR

    - #### IMAGEINFO_HELP_COUNTDOWN

          public static final IntegerProperty IMAGEINFO_HELP_COUNTDOWN

      The number of times the help popup for the `ImageInfoPanel` will be displayed. But regardless of this number, the popup will only show up at most once between two (re)starts of JOSM. Or opening the `ImageInfoPanel` immediately brings this number down to zero.

    - #### STREETSIDE_VIEWER_HELP_COUNTDOWN

          public static final IntegerProperty STREETSIDE_VIEWER_HELP_COUNTDOWN

      The number of times the help popup for the `StreetsideViewerPanel` will be displayed. But regardless of this number, the popup will only show up at most once between two (re)starts of JOSM. Or opening the `StreetsideViewerPanel` immediately brings this number down to zero.

    - #### PRE_FETCH_IMAGE_COUNT

          public static final IntegerProperty PRE_FETCH_IMAGE_COUNT

      The number of images to be prefetched when a streetside image is selected

    - #### PRE_FETCH_CUBEMAP_COUNT

          public static final IntegerProperty PRE_FETCH_CUBEMAP_COUNT

      The number of images to be prefetched when a streetside image is selected

  - ### Constructor Detail

    - #### StreetsideProperties

          private StreetsideProperties()

JOSM Plugins